Package org.eclipse.cdt.core.dom.ast.gnu.c

## Interface IGCCASTSimpleDeclSpecifier

All Superinterfaces:
  `IASTAttributeOwner`, `IASTDeclSpecifier`, `IASTNode`, `IASTSimpleDeclSpecifier`, `ICASTDeclSpecifier`, `ICASTSimpleDeclSpecifier`

    @Deprecated
    public interface IGCCASTSimpleDeclSpecifier
    extends ICASTSimpleDeclSpecifier

Deprecated.
Everything can be expressed as `ICASTSimpleDeclSpecifier`.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This interface is not intended to be referenced by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `TYPEOF_EXPRESSION` Deprecated. Replaced by `IASTSimpleDeclSpecifier.DECLTYPE_EXPRESSION`.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`ALIGNMENT_SPECIFIER, sc_auto, sc_extern, sc_mutable, sc_register, sc_static, sc_typedef, sc_unspecified`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTSimpleDeclSpecifier

`DECLTYPE_EXPRESSION, t_auto, t_bool, t_char, t_char16_t, t_char32_t, t_decimal128, t_decimal32, t_decimal64, t_decltype, t_decltype_auto, t_double, t_float, t_float128, t_int, t_int128, t_typeof, t_unspecified, t_void, t_wchar_t`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.c.ICASTDeclSpecifier

`ALIGNMENT_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.c.ICASTSimpleDeclSpecifier

`t_Bool`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IGCCASTSimpleDeclSpecifier` `copy()` Deprecated. Returns a mutable copy of the tree rooted at this node.
`IGCCASTSimpleDeclSpecifier` `copy​(IASTNode.CopyStyle style)` Deprecated. Returns a mutable copy of the tree rooted at this node.
`IASTExpression` `getTypeofExpression()` Deprecated. Replaced by `IASTSimpleDeclSpecifier.getDeclTypeExpression()`.
`void` `setTypeofExpression​(IASTExpression typeofExpression)` Deprecated. Replaced by `IASTSimpleDeclSpecifier.setDeclTypeExpression(IASTExpression)`.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`getStorageClass, isConst, isInline, isRestrict, isVolatile, setConst, setInline, setRestrict, setStorageClass, setVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTSimpleDeclSpecifier

`getDeclTypeExpression, getType, isComplex, isImaginary, isLong, isLongLong, isShort, isSigned, isUnsigned, setComplex, setDeclTypeExpression, setImaginary, setLong, setLongLong, setShort, setSigned, setType, setType, setUnsigned`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.c.ICASTDeclSpecifier

`getAlignmentSpecifiers, setAlignmentSpecifiers`

### Field Detail

#### TYPEOF_EXPRESSION

    @Deprecated
    static final ASTNodeProperty TYPEOF_EXPRESSION

Deprecated.
Replaced by `IASTSimpleDeclSpecifier.DECLTYPE_EXPRESSION`.

### Method Detail

#### setTypeofExpression

    @Deprecated
    void setTypeofExpression​(IASTExpression typeofExpression)

Deprecated.
Replaced by `IASTSimpleDeclSpecifier.setDeclTypeExpression(IASTExpression)`.

#### getTypeofExpression

    @Deprecated
    IASTExpression getTypeofExpression()

Deprecated.
Replaced by `IASTSimpleDeclSpecifier.getDeclTypeExpression()`.

#### copy

    IGCCASTSimpleDeclSpecifier copy()

Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTSimpleDeclSpecifier`
Specified by:
  `copy` in interface `ICASTDeclSpecifier`
Specified by:
  `copy` in interface `ICASTSimpleDeclSpecifier`
Since:
  5.1

#### copy

    IGCCASTSimpleDeclSpecifier copy​(IASTNode.CopyStyle style)

Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICASTSimpleDeclSpecifier`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3